<<< Previous | Home | Next >>>

The Open Group Base Specifications Issue 7
IEEE Std 1003.1-2008
Copyright © 2001-2008 The IEEE and The Open Group

#### NAME

> pthread_getcpuclockid - access a thread CPU-time clock (ADVANCED REALTIME THREADS)

#### SYNOPSIS

> ``[TCT] #include <pthread.h>
> #include <time.h>
> int pthread_getcpuclockid(pthread_t` thread_id`, clockid_t *`clock_id`);``
> `
> `

#### DESCRIPTION

> The pthread_getcpuclockid() function shall return in clock_id the clock ID of the CPU-time clock of the thread specified by thread_id, if the thread specified by thread_id exists.

#### RETURN VALUE

> Upon successful completion, pthread_getcpuclockid() shall return zero; otherwise, an error number shall be returned to indicate the error.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> The pthread_getcpuclockid() function is part of the Thread CPU-Time Clocks option and need not be provided on all implementations.

#### RATIONALE

> If an implementation detects use of a thread ID after the end of its lifetime, it is recommended that the function should fail and report an [ESRCH] error.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> clock_getcpuclockid , clock_getres , timer_create

> XBD <pthread.h> , <time.h>

#### CHANGE HISTORY

> First released in Issue 6. Derived from IEEE Std 1003.1d-1999.

> In the SYNOPSIS, the inclusion of <sys/types.h> is no longer required.

#### Issue 7

> The pthread_getcpuclockid() function is moved from the Threads option.

> Austin Group Interpretation 1003.1-2001 #142 is applied, removing the [ESRCH] error condition.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2008 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]

<<< Previous | Home | Next >>>